Scriptname BlackBookHolderScript extends ObjectReference  

Book Property BookToPlace  Auto  
{The Book we want to place}
Bool Property isPlaced = false Auto Hidden
Message Property FailMessage auto
{The message to show if the player dont have the book in their inventory}

Event OnActivate(ObjectReference akActivator)
	if(isPlaced == FALSE)  ; is the book placed?
		if akActivator.getItemCount(BookToPlace) >= 1 ; Does the player have the book?
			isPlaced = TRUE
			self.getLinkedRef().enable() ; Enable the Static Book
			(akActivator as actor).removeItem(BookToPlace, 1) ; Remove the book from the players inventory
		else
			FailMessage.show() ; If the player doesnt have the book, show the Fail message.
		endif
	else
		isPlaced = FALSE  
		self.getLinkedRef().disable() ; If the book was already placed, disable the static book
		(akActivator as actor).addItem(BookToPlace, 1) ; add the book back.
	endif
endEvent