Scriptname DaedricArtifactWeaponDisplaySCRIPT extends ObjectReference  

weapon Property WeaponToPlace  Auto  
{The weapon we want to place}
Bool Property isPlaced = false Auto Hidden
Message Property FailMessage auto
{The message to show if the player dont have the weapon in their inventory}

Event OnActivate(ObjectReference akActivator)
	if(isPlaced == FALSE)  ; is the weapon placed?
		if akActivator.getItemCount(WeaponToPlace) >= 1 ; Does the player have the weapon?
			isPlaced = TRUE
			self.getLinkedRef().enable() ; Enable the Static weapon
			(akActivator as actor).removeItem(WeaponToPlace, 1) ; Remove the weapon from the players inventory
		else
			FailMessage.show() ; If the player doesnt have the weapon, show the Fail message.
		endif
	else
		isPlaced = FALSE  
		self.getLinkedRef().disable() ; If the weapon was already placed, disable the static weapon
		(akActivator as actor).addItem(WeaponToPlace, 1) ; add the weapon back.
	endif
endEvent