Scriptname DaedricStarDisplaySCRIPT extends ObjectReference  

SoulGem Property GemToPlace  Auto  
{The Gem we want to place}
Bool Property isPlaced = false Auto Hidden
Message Property FailMessage auto
{The message to show if the player dont have the Gem in their inventory}

Event OnActivate(ObjectReference akActivator)
	if(isPlaced == FALSE)  ; is the Gem placed?
		if akActivator.getItemCount(GemToPlace) >= 1 ; Does the player have the gem?
			isPlaced = TRUE
			self.getLinkedRef().enable() ; Enable the Static Gem
			(akActivator as actor).removeItem(GemToPlace, 1) ; Remove the gem from the players inventory
		else
			FailMessage.show() ; If the player doesnt have the gem, show the Fail message.
		endif
	else
		isPlaced = FALSE  
		self.getLinkedRef().disable() ; If the gem was already placed, disable the static gem
		(akActivator as actor).addItem(GemToPlace, 1) ; add the gem back.
	endif
endEvent