Scriptname DLCDragonpriestbustSCRIPT extends ObjectReference  

armor Property MaskToPlace  Auto  
{The mask we want to place}
Bool Property isPlaced = false Auto Hidden
Message Property FailMessage auto
{The message to show if the player dont have the mask in their inventory}

Event OnActivate(ObjectReference akActivator)
	if(isPlaced == FALSE)  ; is the mask placed?
		if akActivator.getItemCount(MaskToPlace) >= 1 ; Does the player have the mask?
			isPlaced = TRUE
			self.getLinkedRef().enable() ; Enable the Static Mask
			(akActivator as actor).removeItem(MaskToPlace, 1) ; Remove the mask from the players inventory
		else
			FailMessage.show() ; If the player doesnt have the mask, show the Fail message.
		endif
	else
		isPlaced = FALSE  
		self.getLinkedRef().disable() ; If the mask was already placed, disable the static mask
		(akActivator as actor).addItem(MaskToPlace, 1) ; add the mask back.
	endif
endEvent